RDKit: RDKit::MMFF::Tools Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
RDKit::MMFF::Tools Namespace Reference

## Classes
class | DefaultTorsionBondSmarts

## Enumerations
enum | { RELATION_1_2 = 0 , RELATION_1_3 = 1 , RELATION_1_4 = 2 , RELATION_1_X = 3 }

## Functions
RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int | twoBitCellPos (unsigned int nAtoms, int i, int j)
RDKIT_FORCEFIELDHELPERS_EXPORT void | setTwoBitCell (boost::shared_array< std::uint8_t > &res, unsigned int pos, std::uint8_t value)
RDKIT_FORCEFIELDHELPERS_EXPORT std::uint8_t | getTwoBitCell (boost::shared_array< std::uint8_t > &res, unsigned int pos)
RDKIT_FORCEFIELDHELPERS_EXPORT boost::shared_array< std::uint8_t > | buildNeighborMatrix (const ROMol &mol)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addBonds (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addAngles (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addStretchBend (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addOop (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addTorsions (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field, const std::string &torsionBondSmarts=DefaultTorsionBondSmarts::string())
RDKIT_FORCEFIELDHELPERS_EXPORT void | addVdW (const ROMol &mol, int confId, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field, boost::shared_array< std::uint8_t > neighborMatrix, double nonBondedThresh=100.0, bool ignoreInterfragInteractions=true)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addEle (const ROMol &mol, int confId, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field, boost::shared_array< std::uint8_t > neighborMatrix, double nonBondedThresh=100.0, bool ignoreInterfragInteractions=true)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
RELATION_1_2 |
RELATION_1_3 |
RELATION_1_4 |
RELATION_1_X |

Definition at line 98 of file MMFF/Builder.h.

## Function Documentation

## ◆ addAngles()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::addAngles | ( | const ROMol & | mol,
|  | MMFFMolProperties * | mmffMolProperties,
|  | ForceFields::ForceField * | field )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ addBonds()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::addBonds | ( | const ROMol & | mol,
|  | MMFFMolProperties * | mmffMolProperties,
|  | ForceFields::ForceField * | field )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ addEle()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::addEle | ( | const ROMol & | mol,
|  | int | confId,
|  | MMFFMolProperties * | mmffMolProperties,
|  | ForceFields::ForceField * | field,
|  | boost::shared_array< std::uint8_t > | neighborMatrix,
|  | double | nonBondedThresh = 100.0,
|  | bool | ignoreInterfragInteractions = true )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ addOop()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::addOop | ( | const ROMol & | mol,
|  | MMFFMolProperties * | mmffMolProperties,
|  | ForceFields::ForceField * | field )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ addStretchBend()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::addStretchBend | ( | const ROMol & | mol,
|  | MMFFMolProperties * | mmffMolProperties,
|  | ForceFields::ForceField * | field )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ addTorsions()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::addTorsions | ( | const ROMol & | mol,
|  | MMFFMolProperties * | mmffMolProperties,
|  | ForceFields::ForceField * | field,
|  | const std::string & | torsionBondSmarts = DefaultTorsionBondSmarts::string() )

References RDKIT_FORCEFIELDHELPERS_EXPORT, and RDKit::MMFF::Tools::DefaultTorsionBondSmarts::string().

## ◆ addVdW()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::addVdW | ( | const ROMol & | mol,
|  | int | confId,
|  | MMFFMolProperties * | mmffMolProperties,
|  | ForceFields::ForceField * | field,
|  | boost::shared_array< std::uint8_t > | neighborMatrix,
|  | double | nonBondedThresh = 100.0,
|  | bool | ignoreInterfragInteractions = true )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ buildNeighborMatrix()

RDKIT_FORCEFIELDHELPERS_EXPORT boost::shared_array< std::uint8_t > RDKit::MMFF::Tools::buildNeighborMatrix | ( | const ROMol & | mol | ) |

## ◆ getTwoBitCell()

RDKIT_FORCEFIELDHELPERS_EXPORT std::uint8_t RDKit::MMFF::Tools::getTwoBitCell | ( | boost::shared_array< std::uint8_t > & | res,
|  | unsigned int | pos )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ setTwoBitCell()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::MMFF::Tools::setTwoBitCell | ( | boost::shared_array< std::uint8_t > & | res,
|  | unsigned int | pos,
|  | std::uint8_t | value )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ twoBitCellPos()

RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int RDKit::MMFF::Tools::twoBitCellPos | ( | unsigned int | nAtoms,
|  | int | i,
|  | int | j )

References RDKIT_FORCEFIELDHELPERS_EXPORT.